package fr.iutfbleau.dev45.wamster.tp05ex02_arcenciel;

import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;

public class EvenementClic implements View.OnTouchListener{

    private GestureDetector gestureDetector;
    private DetectClic listener;
    public EvenementClic(View view, ListeCouleur listeCouleur) {
        this.listener = new DetectClic(view, listeCouleur);
        gestureDetector = new GestureDetector(this.listener);
    }

    @Override
    public boolean onTouch(View v, MotionEvent event) {
        return gestureDetector.onTouchEvent(event);
    }
}
